<section class="basemap-setting">
  <div class="p-1 d-block">
    <div class="row">
      <div class="col-4 text-center"
           style="height: 50px; line-height: 40px;vertical-align: middle;text-align: center;">
        <label class="fw-bold">
          Tipe Peta
        </label>
      </div>
      <div class="col-8">
        <ul class="row ps-0 m-0 list-none">
          <li class="col p-1 float-left">
            <button class="button button-panel p-0 w-100 text-center text-white shadow-none rounded  {{ (!isActive3D) ? 'bg-success' : 'bg-transparent' }}"
                    (click)="set3DMap(false)">2D</button>
          </li>
          <li class="col p-1 float-left">
            <button class="button button-panel p-0 w-100 text-center text-white shadow-none rounded {{ (isActive3D) ? 'bg-success' : 'bg-transparent' }}"
                    (click)="set3DMap(true)">3D</button>
          </li>
        </ul>
      </div>
    </div>
  </div>
  <hr _ngcontent-xww-c5=""
      class="mt-1 mb-1 divider">
  <div class="map-panel p-2">
    <label class="p-1 fw-bold">Tampilan Jenis Peta Dasar</label>
    <input class="map-panel-title form-control text-white border-0 mb-2 mx-auto"
           type="text"
           placeholder="Nama Jenis Map"
           [value]="basemapName"
           [title]="basemapName"
           readonly />
    <ul class="list-none ps-0 m-0 d-flex flex-wrap">
      <li class="mt-1 me-1"
          *ngFor="let basemap of listBasemap">
        <button class="my-checkfield-selected button border map-panel__btn--base-map"
                (click)="setBasemap(basemap.id)">
          <img [alt]="basemap.name"
               [title]="basemap.name"
               [src]="basemap.thumbnailUrl" />

          <span *ngIf="isActiveBasemap == basemap.id"
                class="map-panel-check fa-stack position-absolute">
            <em class="fa fa-circle fa-stack-2x text-success"></em>
            <em class="fa fa-check fa-stack-1x text-white"></em>
          </span>
        </button>
      </li>
    </ul>
  </div>
</section>